Subject: Re: bug#70914: 29.3; Crashes often on Windows

From: Simen Endsjø <[email-masked]>
Date: Wed, 22 May 2024 10:41:16 +0200

> That doesn't sound good.
> Maybe you could show me how you set the conditional breakpoint, and
> how it crashed, so I can take a look at this on gdb side.

I do a C-c in gdb to add a breakpoint, and when continuing, the process exists
with code 0202. If I add the conditional breakpoint at start, this doesn't
happen though, but it seems like it gets stuck without progressing further.
`print name != NULL` and `print (int)strcmp(name, "//") == 0` doesn't trigger an
error.

    Thread 29 received signal SIGINT, Interrupt.
    [Switching to Thread 25196.0x3160]
    0x00007fffed1f7dae in KERNELBASE!CtrlRoutine () from
C:\WINDOWS\System32\KernelBase.dll
    (gdb) break parse_root
    Breakpoint 1 at 0x7ff64737a02d: file w32.c, line 2555.
    (gdb) condition 1 name != NULL && (int)strcmp(name, "//") == 0
    (gdb) c
    Continuing.
    [New Thread 25196.0x5180]
    [Thread 25196.0x3160 exited with code 0]
    [Thread 25196.0x1cf0 exited with code 130]
    [Thread 25196.0x6270 exited with code 130]
    [Thread 25196.0x8e8 exited with code 130]
    [Thread 25196.0x1d4c exited with code 130]
    [Thread 25196.0x3ba0 exited with code 130]
    [Thread 25196.0x3318 exited with code 130]
    [Thread 25196.0x4018 exited with code 130]
    [Thread 25196.0xaf8 exited with code 130]
    [Thread 25196.0x7408 exited with code 130]
    [Thread 25196.0x5bf0 exited with code 130]
    [Thread 25196.0x4af4 exited with code 130]
    [Inferior 1 (process 25196) exited with code 0202]
    (gdb)

> And did you try my suggested quick fix, just to see if it fixes the crash?

No, not yet. I'm afraid this isn't the root cause of my problems though. I
experienced a crash yesterday running `evil-fill-and-move` (format paragraph),
which probably shouldn't use any disk operations like this.

On Wed, May 22, 2024 at 10:23 AM Hannes Domani <[email-masked]> wrote:
>
>  Am Mittwoch, 22. Mai 2024 um 10:16:49 MESZ hat Simen Endsjø <[email-masked]> Folgendes geschrieben:
>
> > Seems like conditional breakpoints crashes somehow, but I modified the
> > source to put a breakpoint when we get this path.
>
> That doesn't sound good.
> Maybe you could show me how you set the conditional breakpoint, and
> how it crashed, so I can take a look at this on gdb side.
>
> And did you try my suggested quick fix, just to see if it fixes the crash?
>
>
> Hannes